Update custom profile field
Updates an existing custom profile field by id. Set for_child_tenants
to also propagate the change to child tenants.
Path Parameters
- Type: stringidrequired
Headers
- Type: stringX
- Api - Version Optional API version for this request. When omitted, the server uses the default version. This documentation describes version 2026-03-25.
Body
required
application/json
- Type: stringnamerequired
- Type: boolean | nulldisplay
_on _membership _card - Type: boolean | nullfor
_child _tenants - Type: boolean | nulluser
_editable
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for put/custom_profile_fields/{id}
curl 'https://api.getcommunal.com/api/custom_profile_fields/{id}' \
--request PUT \
--header 'X-Api-Version: 2026-03-25' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"name": "",
"display_on_membership_card": null,
"for_child_tenants": null,
"user_editable": null
}'
{
"id": 1,
"tenant_id": null,
"name": "string",
"display_on_membership_card": true,
"user_editable": true,
"locked": true,
"parent_profile_field_id": null,
"created_at": null,
"updated_at": null,
"deleted_at": null,
"values": [
{
"id": 1,
"tenant_id": null,
"value": "string",
"user_id": null,
"custom_profile_field_id": 1,
"created_at": null,
"updated_at": null,
"deleted_at": null,
"custom_profile_field": "string"
}
]
}